<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iBillboardManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiBillboardManager.html">iBillboardManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a68760e60d07e75d999fa16dda2440e5c">BillboardToScreenX</a>(int x) const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#ac6195d7a8f732e4ff2cf6344905e8227">BillboardToScreenY</a>(int y) const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#ab59a1f0c8128045633c1020775efe259">CreateBillboard</a>(const char *name)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a891f6cf7e2e0bfcdab2b2f5fc930a090">CreateBillboardLayer</a>(const char *name)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#acbd8f528fdd20ec12219d5995e7c9e77">FindBillboard</a>(const char *name) const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#afcbed1e12d18478f250087363f59d651">FindBillboardLayer</a>(const char *name) const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a91cd7517b8fa652f7f8c062d6e0d4ca9">GetBillboard</a>(size_t idx) const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#aadb83478447b6234f88ba3e180563daa">GetBillboardCount</a>() const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#ac82f26e733d03e8a07d8831ebf47c81d">GetBillboardLayer</a>(size_t idx) const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a6015e805fbe5b31f790540609a3f5b98">GetBillboardLayerCount</a>() const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#ad83a438bab7212a0805a9801edfd6b44">GetDefaultTextBgColor</a>() const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#af407f854255157905171b51fba3462fb">GetDefaultTextFgColor</a>() const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a22b4fe3bb78315db8afd777205f83f4a">GetDefaultTextFont</a>() const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a0241a12f5cf8d171fe1f9d6459ac7974">GetDefaultTextFontSize</a>() const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#ace3d2098b316cd1c616f3d0187adf112">GetShowroom</a>()=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#af53361e66200934f767be514d2b2e1f9">RemoveAll</a>()=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a5c0f10930830cf3c9fa01039b55c0273">RemoveBillboard</a>(iBillboard *billboard)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#af2cc8640c7c3dbcae4e19e401a7cb14a">RemoveBillboardLayer</a>(iBillboardLayer *layer)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a20574133e69088a9d60fe0d2fdf35849">ScreenToBillboardX</a>(int x) const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a2a088d5c27fbeef246861d90f42d424c">ScreenToBillboardY</a>(int y) const =0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a64bd35bc8f6008fce997ad817a5d8ac5">SetDefaultTextBgColor</a>(const csColor &amp;color)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a8158f38872900d7118f6f1843227f84b">SetDefaultTextBgTransparent</a>()=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a3df05a2246e507cd0371bac4ba54312e">SetDefaultTextFgColor</a>(const csColor &amp;color)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a60aacfb84103b45388b33f7bd230fc33">SetDefaultTextFont</a>(const char *fontname, float fontsize)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#ad431ae03b8b7306d3157dca23f5bb92d">SetFlags</a>(uint32 flags, uint32 mask)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#aaf958c4f0d14a5a8417b22b508505ae5">StackAfter</a>(iBillboard *bb, iBillboard *other)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a6d7bab5d3af23a6b0449f0770f5a47d9">StackBefore</a>(iBillboard *bb, iBillboard *other)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a7303ad395c2268831ac883ca8a5aadb7">StackBottom</a>(iBillboard *bb)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#ac0aa0af550f9c6edac9e3cdb9378c692">StackDown</a>(iBillboard *bb)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#ad881640d11e94aaf10cfb00320bb5da6">StackTop</a>(iBillboard *bb)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a0d7cbb18929b3578d06947b7774dcc9e">StackUp</a>(iBillboard *bb)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboardManager.html#a140f0932f3c808da7f039c25e8c8b8cc">TestCollision</a>(iBillboard *bb1, iBillboard *bb2)=0</td><td><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
